@page
@model WebApp.Pages_Brands.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-page="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Brand[0].Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Brand[0].ImageUrl)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Brand) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ImageUrl)
            </td>
            <td>
                <a asp-page="./Edit" asp-route-id="@item.BrandId">Edit</a> |
                <a asp-page="./Details" asp-route-id="@item.BrandId">Details</a> |
                <a asp-page="./Delete" asp-route-id="@item.BrandId">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
